package com.ruoyi.project.configuration.service.impl;

import com.ruoyi.project.configuration.domain.TMatter;
import com.ruoyi.project.configuration.mapper.TMatterMapper;
import com.ruoyi.project.configuration.service.ITMatterService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 危害物质数据关联Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class TMatterServiceImpl implements ITMatterService {

    @Resource
    private TMatterMapper tMatterMapper;

    /**
     * 查询危害物质数据关联
     *
     * @param id 危害物质数据关联ID
     * @return 危害物质数据关联
     */
    @Override
    public TMatter selectTMatterById(Long id) {
        return tMatterMapper.selectTMatterById(id);
    }

    /**
     * 查询危害物质数据关联列表
     *
     * @param tMatter 危害物质数据关联
     * @return 危害物质数据关联
     */
    @Override
    public List<TMatter> selectTMatterList(TMatter tMatter) {
        return tMatterMapper.selectTMatterList(tMatter);
    }

    /**
     * 新增危害物质数据关联
     *
     * @param tMatter 危害物质数据关联
     * @return 结果
     */
    @Override
    public int insertTMatter(TMatter tMatter) {
        return tMatterMapper.insertTMatter(tMatter);
    }

    /**
     * 修改危害物质数据关联
     *
     * @param tMatter 危害物质数据关联
     * @return 结果
     */
    @Override
    public int updateTMatter(TMatter tMatter) {
        return tMatterMapper.updateTMatter(tMatter);
    }

    /**
     * 批量删除危害物质数据关联
     *
     * @param ids 需要删除的危害物质数据关联ID
     * @return 结果
     */
    @Override
    public int deleteTMatterByIds(Long[] ids) {
        return tMatterMapper.deleteTMatterByIds(ids);
    }

    /**
     * 删除危害物质数据关联信息
     *
     * @param id 危害物质数据关联ID
     * @return 结果
     */
    @Override
    public int deleteTMatterById(Long id) {
        return tMatterMapper.deleteTMatterById(id);
    }
}
